% fn_eval_grad.m

function grad = fn_eval_grad(a,params)

  % saving updated control in file
  fid = fopen('temp/opt_a.dat', 'w');
  fprintf(fid, '%d\r\n', length(a));
  for i=1:length(a)
    fprintf(fid, '%1.20e\r\n', a(i));
  end
  fclose(fid);
  
  % computing gradient by calling FreeFEM code eval_grad.edp
  paramsLine = ['-p1 ' num2str(params(1)) ' -p2 ' num2str(params(2))];
  [status, cmdout] = system(['FreeFem++ freefem/eval_grad.edp ' paramsLine]);
  fn_stat(status, 0, cmdout, params(3));
  
  % getting grad as a vector
  grad = load('temp/opt_grad.dat'); grad = grad(2:end);
  
return