% fn_stat.m

function exitInd = fn_stat(exitStatus, correctStatus, cmdout, ffDebug)
  
  exitInd = false;
  
  % setting debug mode
  append = 'w';
  if (ffDebug)
    append = 'a';
  end

  % adding cmdout info to log-file  
  fid = fopen( 'temp/opt_cmdout.dat', append);
  fprintf(fid, [cmdout '\n']);
  fclose(fid);

  % checking the status
  if exitStatus ~= correctStatus
    disp(['Incorrect exit status = ' num2str(exitStatus) ...
        ' (' num2str(correctStatus) ' expected)!']);
    exitInd = true;
  end

return