% fn_all_fn_all_derivatives.m
%

function fd = fn_all_derivatives(fnNum,x)
  
  switch fnNum
    case 1
      f1 = 2*x-3;
      f2 = 2;
    case 2
      if x>2
        f1 = 1;
      elseif x<2
        f1 = -1;
      else
        f1 = NaN;
      end
      if x==2
        f2 = NaN;
      else
        f2 = 0;
      end
    case 3
      f1 = 3*x.^2-7;
      f2 = 6*x;
    case 4
      f1 = cos(x);
      f2 = -sin(x);
    case 5
      f1 = exp(2*x-x.^2).*(2-2*x);
      f2 = exp(2*x-x.^2).*(2-8*x+4*x.^2);
    case 6
      f1 = 3*x.^2;
      f2 = 6*x;
    otherwise
      disp('error: function is not defined!');
  end

  fd = [f1 f2];
  
end