% Chapter_3_data_fit_by_gradient_test.m
%
% Computational Optimization: Success in Practice
% Chapter 3: Generalized Optimization Framework
% Section 3.6: TEST Mode for the Gradient-based Framework
%
% Coding in MATLAB: Optimization Framework for Example 1.3
% Least-square Data Fitting by Gradient Method - Testing Gradients
%
%  2023 by Vladislav Bukshtynov
% VladislavBukshtynov@yahoo.com
%

close all; clc; clear;

% setting INPUT parameters
params;

% loading DATA
data = load(dataFile);

% INItialization
initialize;

% TEST mode

% f-evaluation: initial
obj = f(a,data);

% d-evaluation: computing gradient
d = grad(a,data);

% Kappa-test itself & visualization
kappa_test;

