% fn_eval_grad.m
%
% Function to evaluate gradient of the objective function
%

function grad = fn_eval_grad(a, data)
  
   grad(1) = 2*sum((data(:,2)-(a(1)+a(2)*data(:,1)+a(3)*data(:,1).^2))*(-1));
   grad(2) = 2*sum((data(:,2)-(a(1)+a(2)*data(:,1)+a(3)*data(:,1).^2)).*(-data(:,1)));
   grad(3) = 2*sum((data(:,2)-(a(1)+a(2)*data(:,1)+a(3)*data(:,1).^2)).*(-data(:,1).^2));
   
   grad = grad';
  
return