% params_ver_2.m
%
% Parameters for Chapter_3_data_fit_by_gradient_ver_2.m
%

% main parameters
dataFile   = 'data_main.dat';    % data file
aini       = [-14 11 -2];        % initial guess

% parameters for step size search (golden section)
alphaA = 0; alphaB = 0.01;       % search interval [a, b]
alphaEps = 1e-2;                 % tolerance for search termination

% termination
epsilon  = 1e-6;                 % tolerance (#1)
kMax     = 10;                   % max number of iterations (#2)

% visualization parameters
BigFigure       = true;
FontSize        = 14;
MarkerSizeBig   = 30;
MarkerSizeSmall = 20;
LineWidth       = 2.5;
pauseTime       = 2;             % pause time (in seconds)
