% file_output.m
%
% Final output procedure
%

% core part of file name
fileName = ['_with_' method];
if (~isempty(methodAlpha))
  fileName = [fileName '_and_' methodAlpha];
end

% storing objective history
fileID = fopen(['output/opt_obj' fileName '.txt'], 'w');
fprintf(fileID, '%1.10e\r\n', obj);
fclose(fileID);

% storing iterative solutions
fileID = fopen(['output/opt_sol' fileName '.txt'], 'w');
fprintf(fileID, '%1.10e   %1.10e   %1.10e\r\n', aHist');
fclose(fileID);