% params.m
%
% Parameters for Chapter_3_data_fit_by_gradient.m
%

% main parameters
dataFile   = 'data_main.dat'; % data file
aini       = [1 1 1];         % initial guess
alphaConst = 1e-2;            % step size

% termination
epsilon  = 1e-6;              % tolerance (#1)
kMax     = 10;                % max number of iterations (#2)

% visualization parameters
BigFigure       = true;
FontSize        = 14;
MarkerSizeBig   = 30;
MarkerSizeSmall = 20;
LineWidth       = 2.5;
pauseTime       = 2;          % pause time (in seconds)
