% params_ver_3.m
%
% Parameters for Chapter_3_data_fit_by_gradient_ver_3.m
%

% main parameters
dataFile   = 'data_main.dat';    % data file
aini      = [-14 11 -2];         % initial guess

% parameters for step size search (golden section vs. constant)
alphaUpdate = false;             % golden section will be chosen if "true"
alphaA = 0; alphaB = 10;         % search interval [a, b]
alphaEps = 1e-6;                 % tolerance for search termination

% termination
epsilonF = 1e-6;                 % tolerance (#1)
epsilonA = 1e-6;                 % tolerance (#2)
kMax     = 100;                  % max number of iterations (#3)

% visualization parameters
BigFigure       = true;
FontSize        = 14;
MarkerSizeBig   = 30;
MarkerSizeSmall = 20;
LineWidth       = 2.5;
pauseTime       = 2;             % pause time (in seconds)
