% fn_eval_g_grad.m
%
% Function to evaluate Jacoban of vector function g(x) (for Gauss-Newton method)
%

function grad_g = fn_eval_g_grad(a, data)
  
   grad_g(1:3,1) = -1;
   grad_g(1,2) = -data(1,1);
   grad_g(1,3) = -data(1,1)^2;
   grad_g(2,2) = -data(2,1);
   grad_g(2,3) = -data(2,1)^2;
   grad_g(3,2) = -data(3,1);
   grad_g(3,3) = -data(3,1)^2;
  
return