% brute_force_method.m
%
% Algorithm for Brute-Force method
%

% initial state
a = aMin; fOpt = f(a,data);

% brute-force loop
for a1 = aMin(1):bfStep(1):aMax(1)
  for a2 = aMin(2):bfStep(2):aMax(2)
    for a3 = aMin(3):bfStep(3):aMax(3)
      k = k + 1;
      % current solution
      aCurr = [a1 a2 a3];
      fCurr = f(aCurr,data);
      if fCurr < fOpt % if better solution found
        a = aCurr; fOpt = fCurr; % update
        obj = [obj fOpt];
        visualize;
      end
    end
  end
end