% monte_carlo_method.m
%
% Algorithm for Monte-Carlo method
%

% main loop for number of MC-samples
for k=1:mcN

  % current sample
  if strcmp(mcDist,'UNIF')
    aCurr = mcMin+(mcMax-mcMin).*rand(1,3);
  else
    aCurr = normrnd(mcMean,mcSigma);
  end
  fCurr = f(aCurr,data);

  if k==1
    a = aCurr; fOpt = fCurr; % update for 1st sample
    obj = [obj fOpt];
    visualize;
  elseif fCurr < fOpt % if better solution found
    a = aCurr; fOpt = fCurr; % update (regular)
    obj = [obj fOpt];
    visualize;
  end

end
