% fn_eval_f.m
%
% Function to evaluate objective (data misfit)
%

function f = fn_eval_f(a, data)
  
  % simple approach
  f = 0;
  m = size(data,1);
  for i=1:m
    f = f + (data(i,2)-(a(1)+a(2)*data(i,1)+a(3)*data(i,1)^2))^2;
  end

  % smart approach: one line
  %f = sum((data(:,2)-(a(1)+a(2)*data(:,1)+a(3)*data(:,1).^2)).^2);
  
return