% fn_eval_f_grad.m
%
% Function to evaluate gradient of the objective function
%

function grad_f = fn_eval_f_grad(a, data)
  
   grad_f(1) = 2*sum((data(:,2)-(a(1)+a(2)*data(:,1)+a(3)*data(:,1).^2))*(-1));
   grad_f(2) = 2*sum((data(:,2)-(a(1)+a(2)*data(:,1)+a(3)*data(:,1).^2)).*(-data(:,1)));
   grad_f(3) = 2*sum((data(:,2)-(a(1)+a(2)*data(:,1)+a(3)*data(:,1).^2)).*(-data(:,1).^2));
   
   grad_f = grad_f';
  
return