% fn_LV.m
%
% Function: Lotka-Volterra Equations
%
% Lotka-Volterra predator-prey model
%

function xp = fn_LV(params,t,x)

  xp = diag([params(1) - params(2)*x(2), -params(3) + params(4)*x(1)])*x;

return